Bug 1009153 - Review Request: javolution - Real-time Java library
Review Request: javolution - Real-time Java library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 15:45 EDT by Pete MacKinnon
Modified: 2013-12-13 22:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 16:39:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
review notes (8.90 KB, text/plain)
2013-09-18 16:50 EDT, gil cattaneo
no flags Details
new review notes (7.75 KB, text/plain)
2013-09-19 16:28 EDT, gil cattaneo
no flags Details

  None (edit)
Description Pete MacKinnon 2013-09-17 15:45:55 EDT
This project provides a Java library for real-time applications. It is maven-based and can be used to build multi-platform real-time applications. It forms an important dependency for a forthcoming review request (Hive).

Note that this review request is for version 5.5.1, the latest is actually 6.0 as of August 18. However, 6.0 is heavily dependent on OSGi. The version of OSGi currently available in Fedora is R4 (Felix & JBoss) which is incompatible with being built using the OpenJDK 7 javac. See the following:

http://stackoverflow.com/questions/10911231/how-to-compile-mavenized-osgi-4-3-bundle-with-openjdk-7
http://blog.osgi.org/2012/10/43-companion-code-for-java-7.html

Spec URL: http://pmackinn.fedorapeople.org/javolution/javolution.spec
SRPM URL: http://pmackinn.fedorapeople.org/javolution/javolution-5.5.1-0.1.fc19.src.rpm
Comment 1 gil cattaneo 2013-09-18 12:55:56 EDT
hi
there is a newer release in https://svn.java.net/svn/javolution~svn/tags/
regards
Comment 2 Pete MacKinnon 2013-09-18 12:57:31 EDT
Please read the comments in the Description.
Comment 3 gil cattaneo 2013-09-18 16:48:39 EDT
please, remove from spec file these 

BuildRequires: javapackages-tools
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

all Group fiels        - no more required
all Requires           - added by java package tools (XMvn)

fix unowned directory
add %dir %{_javadir}/%{name}
in main package

if possible use pom macros
e.g.
%pom_remove_plugin javolution:colapi
%pom_xpath_remove "pom:project/pom:build/pom:extensions[pom:groupId = 'org.jvnet.wagon-svn' ]"
or
%pom_xpath_remove "pom:project/pom:build/pom:extensions"

fix license field
License:       BSD and Public domain

these are under  Public domain license

Public domain
-------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/AttributeList.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/DTDHandler.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/DocumentHandler.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/EntityResolver.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/ErrorHandler.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/HandlerBase.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/InputSource.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/Locator.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/Parser.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/SAXException.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/SAXParseException.java


remove bundled library
already available in xml-commons-apis package or in OpenJDK rt.jar

/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/Attributes.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/ContentHandler.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/SAXNotRecognizedException.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/SAXNotSupportedException.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/XMLFilter.java
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/src/main/java/org/xml/sax/XMLReader.java

fix wrong-file-end-of-line-encoding /usr/share/doc/javolution/LICENSE.txt
e.g.
sed -i 's/\r//' LICENSE.txt

not approved
Comment 4 gil cattaneo 2013-09-18 16:50:22 EDT
Created attachment 799593 [details]
review notes
Comment 5 gil cattaneo 2013-09-18 16:56:06 EDT
(In reply to gil cattaneo from comment #3)
> please, remove from spec file these 
> 
> BuildRequires: javapackages-tools
> BuildRequires: maven
> BuildRequires: maven-compiler-plugin
> BuildRequires: maven-install-plugin
> BuildRequires: maven-javadoc-plugin
> BuildRequires: maven-source-plugin
> BuildRequires: maven-surefire-plugin
> 
> all Group fiels        - no more required
> all Requires           - added by java package tools (XMvn)
> 
> fix unowned directory
> add %dir %{_javadir}/%{name}
> in main package
> 
> if possible use pom macros
> e.g.
> %pom_remove_plugin javolution:colapi
> %pom_xpath_remove "pom:project/pom:build/pom:extensions[pom:groupId =
> 'org.jvnet.wagon-svn' ]"
> or
> %pom_xpath_remove "pom:project/pom:build/pom:extensions"
> 
> fix license field
> License:       BSD and Public domain

should be correct as this last one
License:       BSD
> 
> these are under  Public domain license
> 
because you must remove all bundled libraries
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
> already available in xml-commons-apis package or in OpenJDK rt.jar

> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/AttributeList.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/DTDHandler.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/DocumentHandler.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/EntityResolver.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/ErrorHandler.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/HandlerBase.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/InputSource.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/Locator.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/Parser.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/SAXException.java
> /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/javolution-5.5.1/
> src/main/java/org/xml/sax/SAXParseException.java
>
Comment 6 Pete MacKinnon 2013-09-19 11:31:29 EDT
Feedback applied and some additional BR removed.

However, 
adding %dir %{_javadir}/%{name} is not required as far as I can tell. This is a single jar package and thus there is no %{_javadir}/%{name}.

New spec and latest SRPM (0.2) at same location.
Comment 7 gil cattaneo 2013-09-19 13:11:15 EDT
yes, i see sorry, 
but you should add also the new source rpm
regards
Comment 8 gil cattaneo 2013-09-19 13:16:13 EDT
please. you should remove
Group field in the main package
and superfluous 
BuildArch:     noarch
in javadoc sub package
regards
Comment 10 Pete MacKinnon 2013-09-19 14:47:43 EDT
Spec URL: http://pmackinn.fedorapeople.org/javolution/javolution.spec
SRPM URL: http://pmackinn.fedorapeople.org/javolution/javolution-5.5.1-0.3.fc19.src.rpm

Comment #8 re javadoc arc applied but most other Java packages have

Group:         Development/Libraries

so no change there. Why do you think that's necessary?
Comment 11 gil cattaneo 2013-09-19 16:02:40 EDT
(In reply to Pete MacKinnon from comment #10)
> Spec URL: http://pmackinn.fedorapeople.org/javolution/javolution.spec
> SRPM URL:
> http://pmackinn.fedorapeople.org/javolution/javolution-5.5.1-0.3.fc19.src.rpm
> 
> Comment #8 re javadoc arc applied but most other Java packages have
> 
> Group:         Development/Libraries
> 
> so no change there. Why do you think that's necessary?

see https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Group_tag
if you want use the package also in EPEL is requires, otherwise not necessary
Comment 12 gil cattaneo 2013-09-19 16:06:16 EDT
> Comment #8 re javadoc arc applied but most other Java packages have
usually if the main package is noarch also the sub package/s is/are noarch
Comment 13 gil cattaneo 2013-09-19 16:28:06 EDT
Created attachment 800144 [details]
new review notes
Comment 14 gil cattaneo 2013-09-19 16:28:37 EDT
approved
Comment 15 Pete MacKinnon 2013-09-27 09:50:27 EDT
New Package SCM Request
=======================
Package Name: javolution
Short Description: A Java library for real-time applications
Owners: pmackinn
Branches: f19 f20 f21
InitialCC: java-sig
Comment 16 Kevin Fenzi 2013-09-27 14:44:05 EDT
Git done (by process-git-requests).

There's no such thing as a f21 branch yet...
Comment 17 Fedora Update System 2013-12-02 19:57:49 EST
javolution-5.5.1-0.4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/javolution-5.5.1-0.4.fc20
Comment 18 Fedora Update System 2013-12-13 22:50:35 EST
javolution-5.5.1-0.4.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.